summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDylan Carlson <absinthe@gentoo.org>2003-03-18 01:47:59 +0000
committerDylan Carlson <absinthe@gentoo.org>2003-03-18 01:47:59 +0000
commitff96fd60985353a72fe123bdabe91484cdc03b73 (patch)
treea454b13bea481e1d7aed1852ecfe7650dc4078e0 /eclass
parent~x86 -> x86 (diff)
downloadgentoo-2-ff96fd60985353a72fe123bdabe91484cdc03b73.tar.gz
gentoo-2-ff96fd60985353a72fe123bdabe91484cdc03b73.tar.bz2
gentoo-2-ff96fd60985353a72fe123bdabe91484cdc03b73.zip
fix for java-commons_src_compile() make. should see both 'jar' and 'dist-jar' now.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/java-commons.eclass50
1 files changed, 29 insertions, 21 deletions
diff --git a/eclass/java-commons.eclass b/eclass/java-commons.eclass
index 3730a58a600d..314aab723699 100644
--- a/eclass/java-commons.eclass
+++ b/eclass/java-commons.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-commons.eclass,v 1.1 2003/03/17 20:56:21 absinthe Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-commons.eclass,v 1.2 2003/03/18 01:47:59 absinthe Exp $
inherit base
ECLASS=java-commons
@@ -50,33 +50,41 @@ java-commons_src_compile() {
use junit && echo "junit.jar=`java-config --classpath=junit`" >> build.properties
debug-print "$FUNCNAME: myconf: set to ${myconf}"
;;
- maketest)
+ maketest)
debug-print-section maketest
- if [ -n "`use junit`" ]; then
- if [ -n $(echo "$target" | grep "test") ]; then
- ANT_OPTS=${myconf} ant test || die "Building Testing Classes Failed"
- else
- ANT_OPTS=${myconf} ant || die "Building Testing Classes Failed"
- fi
- fi
- ;;
+ if [ -n "`use junit`" ]; then
+ if [ -n $(echo "$target" | grep "test") ]; then
+ ANT_OPTS=${myconf} ant test || die "Building Testing Classes Failed"
+ else
+ ANT_OPTS=${myconf} ant || die "Building Testing Classes Failed"
+ fi
+ fi
+ ;;
make)
debug-print-section make
- ANT_OPTS=${myconf} ant jar || die "Compilation Failed"
+ for each in $ant_targetlist
+ do
+ if [ "${each}" == "jar" ] ; then
+ target=${each}
+ elif [ "${each}" == "dist-jar" ] ; then
+ target=${each}
+ fi
+ done
+ ANT_OPTS=${myconf} ant ${target} || die "Compilation Failed"
;;
makedoc)
debug-print-section makedoc
ANT_OPTS="${myconf}"
- target=`echo "${ant_targetlist}" | grep "^javadoc$"`
- debug-print "Building ${target}"
- if [ -n "${target}" ]; then
- ant "${target}" || die "Unable to create documents"
- else
- target=`echo "${ant_targetlist}" | grep "^doc$"`
- if [ -n "${target}" ]; then
- ant "${target}" || die "Unable to create documents"
- fi
- fi
+ target=`echo "${ant_targetlist}" | grep "^javadoc$"`
+ debug-print "Building ${target}"
+ if [ -n "${target}" ]; then
+ ant "${target}" || die "Unable to create documents"
+ else
+ target=`echo "${ant_targetlist}" | grep "^doc$"`
+ if [ -n "${target}" ]; then
+ ant "${target}" || die "Unable to create documents"
+ fi
+ fi
;;
all)
debug-print-section all